> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Download all invoices in ZIP format

> Downloads all individual invoices for the specified period as a ZIP file.



## OpenAPI

````yaml /generated/specs/finance.json get /api/v1/facturacion-2/invoice/all/zip
openapi: 3.0.0
info:
  title: Raul API - Finanzas
  description: >-
    Facturas, boletas, ejecuciones de billing, cuentas por pagar y medios de
    pago.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/facturacion-2/invoice/all/zip:
    get:
      tags:
        - Facturacion 2.0
      summary: Download all invoices in ZIP format
      description: >-
        Downloads all individual invoices for the specified period as a ZIP
        file.
      operationId: Facturacion2Controller_downloadAllZip
      parameters:
        - name: periodo
          required: true
          in: query
          description: Period in YYYY-MM format
          schema:
            type: string
            example: 2026-01
      responses:
        '200':
          description: ZIP file download
          content:
            application/zip: {}
        '400':
          description: Invalid period format

````